Wellbore V2

Service endpoints to access MSD wellbores.

Create a new Wellbore

Request

Create a new Wellbore

Security
bearer and appkey
Headers
slb-data-partition-idstringrequired

The data partition id.

Bodyapplication/json
namestringrequired
well_idstringrequired
apistring
ubhistring
parent_wellbore_idstring
external_tagstring
curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/msd/v2/wellbores \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-data-partition-id: string' \
  -d '{
    "name": "string",
    "well_id": "string",
    "api": "string",
    "ubhi": "string",
    "parent_wellbore_id": "string",
    "external_tag": "string"
  }'

Responses

Success

Bodyapplication/json
CreatedIdstring
Response
{ "CreatedId": "string" }